Issue 8087 - #REF! error should not destroy original cell contents
#REF! error should not destroy original cell contents
Status: CLOSED WONTFIX
Product: Calc
Classification: Application
Component: code
643
All All
: P3 trivial (vote)
: ---
Assigned To: falko.tesch
issues@sc
: oooqa
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 14:35 UTC by oblomov
Modified: 2003-10-15 09:44 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description oblomov 2002-10-06 14:35:39 UTC
Hello,

when editing a document and, for example, removing a sheet, all cells that referred to 
that sheet will get a #REF! error. But this is put instead of the reference, so that one doesn't know 
where that #REF! comes from. For example, create a single-sheet workbook, an in A1 insert 
=Sheet2.A1 which will give you a #REF! error --and you won't know that the #REF! comes from Sheet2; 
this gives rise to lots of problems when e.g. changing somebody else's workbooks, or even old 
books of own.

Rather, the part that gives rise to the #REF! should be kept, and its #REF! error 
be reported, for example, in the AutoPilot or so (so that one knows which part of the formula 
returns the #REF!).
Comment 1 prgmgr 2002-10-19 18:14:15 UTC
Giuseppe, thank you for using and supporting OOo.

Duplicated on Win NT 4.0 SP6a, OOo 643.

User summary:
#REF! prevents correction of typos

Simple test case:

1  Open new spreadsheet
2  Enter formula Sheet123.A1 in Sheet1.A1
3  Notice how the #REF! error has overwritten the original cell
   contents
Comment 2 oblomov 2002-10-19 23:01:28 UTC
BTW, all worksheet programs (including Lotus, Quattro Pro and Excel) have always 
destroyed the original content when #REF!ing.
Comment 3 frank 2002-11-28 11:27:10 UTC
Hi Falko,

1 4 u.

My opinion is as follows :

Just place the #REF in front of the table name (#REF_Sheet2.A1) if
possible.

Frank
Comment 4 falko.tesch 2003-10-15 09:40:00 UTC
.
Comment 5 falko.tesch 2003-10-15 09:43:17 UTC
Technically this is too much effort and a competitive analysis showed
that also our competitors cam't do so.
Comment 6 falko.tesch 2003-10-15 09:44:04 UTC
Closed